Message: Trouble with MULASSIS install Not Logged In (login)
 Next-in-Thread Next-in-Thread
 Next-in-Forum Next-in-Forum

None Trouble with MULASSIS install 

Forum: Space Applications
Date: 18 Sep, 2012
From: Brian Evans <Brian Evans>

Hi All,

I'll admit I'm a complete novice when it comes to building applications with Geant4, so please forgive me if I'm missing something obvious.

I trying to build MULASSIS 1.23, with Geant4 9.5 on 64-bit RedHat Enterprise Linux 6, but I keep running into errors. For starters, I've successfully built CLHEP 2.1.1.0, XercesC 3.1.1, Geant4 9.5, and GRAS 3.1, and installed each in their own directory in /opt/local.

I've unpacked the MULASSIS tar file in /tmp/swbuild, which is also where the source for each of the previous packages are located as well (also each in their own directory).

Now, I followed instructions in some other posts for setting up environment variables, and it seems the most important for MULASSIS is G4INSTALL, which I've set to /opt/local/geant4.

So, the errors: When I run "gmake" from the MULASSIS source directory, I get an error saying it can't find files in the "config" dir, which indeed does not exist in /opt/local/geant4. But it does exist in the geant4 source dir, so the error above seems to indicate it's looking for the geant4 source files, not the install directory, which seems at odds with the instructions I got to set G4INSTALL to point to the install dir.

Any idea what I'm doing wrong? I'd be glad to provide any further information if needed.

Thanks in advance for any assistance!

 Add Message Add Message
to: "Trouble with MULASSIS install"

 Subscribe Subscribe

This site runs SLAC HyperNews version 1.11-slac-98, derived from the original HyperNews


[ Geant 4 Home | Geant 4 HyperNews | Search | Request New Forum | Feedback ]